version: '3.4'
services:
  snippetbox:
    restart: always
    depends_on:
      - snippetboxdb
    ports:
      - "4000:4000"
    build:
      dockerfile: Dockerfile
      context: .
  snippetboxdb:
    image: "postgres"
    restart: always
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: qwerty
      POSTGRES_DB: snippetbox
    ports:
      - "9001:9001"
    volumes:
      - ./datascript.sql:/docker-entrypoint-initdb.d/init.sql